Bug 831390 - SELinux is preventing /usr/libexec/totem-plugin-viewer from 'execute' accesses on the file /home/rk00253/.orc/orcexec.amtOjn (deleted).
SELinux is preventing /usr/libexec/totem-plugin-viewer from 'execute' accesse...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:9f30fb48f430a7f68c259b365da...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 18:31 EDT by Robert Kief
Modified: 2012-07-19 05:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 05:16:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Kief 2012-06-12 18:31:43 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.0-1.fc17.x86_64
time:           Tue 12 Jun 2012 05:27:38 PM CDT

description:
:SELinux is preventing /usr/libexec/totem-plugin-viewer from 'execute' accesses on the file /home/rk00253/.orc/orcexec.amtOjn (deleted).
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that totem-plugin-viewer should be allowed execute access on the orcexec.amtOjn (deleted) file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep queue20:src /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:gstreamer_home_t:s0
:Target Objects                /home/rk00253/.orc/orcexec.amtOjn (deleted) [ file
:                              ]
:Source                        queue20:src
:Source Path                   /usr/libexec/totem-plugin-viewer
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           totem-mozplugin-3.4.2-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.0-1.fc17.x86_64 #1 SMP
:                              Sun Jun 3 06:35:17 UTC 2012 x86_64 x86_64
:Alert Count                   5
:First Seen                    Tue 12 Jun 2012 05:20:06 PM CDT
:Last Seen                     Tue 12 Jun 2012 05:21:06 PM CDT
:Local ID                      a625c584-76c2-47c5-855d-a6ee222b1921
:
:Raw Audit Messages
:type=AVC msg=audit(1339539666.401:86): avc:  denied  { execute } for  pid=4089 comm="totem-plugin-vi" path=2F686F6D652F726B30303235332F2E6F72632F6F7263657865632E616D744F6A6E202864656C6574656429 dev="dm-2" ino=72238938 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:gstreamer_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1339539666.401:86): arch=x86_64 syscall=mmap success=no exit=EACCES a0=0 a1=10000 a2=5 a3=1 items=0 ppid=1 pid=4089 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=totem-plugin-vi exe=/usr/libexec/totem-plugin-viewer subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: queue20:src,mozilla_plugin_t,gstreamer_home_t,file,execute
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-06-12 20:59:21 EDT
Fixed in selinux-policy-3.10.0-130.fc17
Comment 2 Fedora Update System 2012-06-19 03:58:31 EDT
selinux-policy-3.10.0-132.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-132.fc17
Comment 3 Fedora Update System 2012-06-19 20:28:54 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Rui Mota 2012-06-26 13:30:36 EDT
yes it persist.
Comment 5 Miroslav Grepl 2012-06-27 01:15:17 EDT
Fixed in -134..fc17 release.

# yum update selinux-policy-targeted --enablerepo=updates-testing
Comment 6 Rui Mota 2012-06-27 03:38:30 EDT
yum update selinux-policy-targeted --enablerepo=updates-testing
Loaded plugins: langpacks, presto, refresh-packagekit
No Packages marked for Update

it's not there.
Comment 7 Daniel Walsh 2012-06-29 17:18:09 EDT
It should show up shortly.
Comment 8 Fedora Update System 2012-07-19 05:16:55 EDT
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.